(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     17558,        482]
NotebookOptionsPosition[     16659,        460]
NotebookOutlinePosition[     17093,        477]
CellTagsIndexPosition[     17050,        474]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8122775448449354`*^9, 3.8122775482358823`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e41f86e3-2aee-41ca-80e6-dc5c59dd8a47"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["e", "1"], ",", 
       SubscriptBox["e", "2"], ",", 
       SubscriptBox["e", "3"], ",", 
       SubscriptBox["e", "4"], ",", 
       SubscriptBox["e", "5"], ",", 
       SubscriptBox["e", "6"], ",", 
       SubscriptBox["e", "7"], ",", 
       SubscriptBox["e", "8"]}], "}"}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}], 
   ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "e", ",", "f", ",", "c", ",", "d"}], "}"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.812279937161234*^9, 3.8122799417270255`*^9}, {
  3.812280108278835*^9, 3.812280161283677*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"4a87f151-32d7-40de-8ad6-ae38acc5ce4b"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`f, \
$CellContext`b, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {5, 4}, {6, 3}, {6, 4}, {2, 
       3}}}, {EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 
         Subscript[$CellContext`e, 2], 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 
         Subscript[$CellContext`e, 7], 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 
         Subscript[$CellContext`e, 3], 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 
         Subscript[$CellContext`e, 6], 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 
         Subscript[$CellContext`e, 4], 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 
         Subscript[$CellContext`e, 8], 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 
         Subscript[$CellContext`e, 5], 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 
         Subscript[$CellContext`e, 1]}, EdgeWeight -> {
         Subscript[$CellContext`e, 1], 
         Subscript[$CellContext`e, 2], 
         Subscript[$CellContext`e, 3], 
         Subscript[$CellContext`e, 4], 
         Subscript[$CellContext`e, 5], 
         Subscript[$CellContext`e, 6], 
         Subscript[$CellContext`e, 7], 
         Subscript[$CellContext`e, 8]}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0.8727387071156154, 0.0003209461738589159}, {0., 
          0.4295358335504994}}], InsetBox[
          SubscriptBox["e", "1"], {0.4363693535578077, 0.21492838986217916}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.8727387071156154, 0.0003209461738589159}, {
          0.8731890246817808, 0.8587877412068825}}], InsetBox[
          SubscriptBox["e", "2"], {0.8729638658986981, 0.4295543436903707}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.8727387071156154, 0.0003209461738589159}, {
          2.0434706156545106`, 0.}}], InsetBox[
          SubscriptBox["e", "3"], {1.458104661385063, 0.00016047308692945794},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.4295358335504994}, {0.8731890246817808, 
          0.8587877412068825}}], InsetBox[
          SubscriptBox["e", "8"], {0.4365945123408904, 0.6441617873786909}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.8731890246817808, 0.8587877412068825}, {
          2.0439800090921647`, 0.8583779217055565}}], InsetBox[
          SubscriptBox["e", "6"], {1.4585845168869729, 0.8585828314562195}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.0434706156545106`, 0.}, {2.9166042798805254`, 
          0.42954671494495483`}}], InsetBox[
          SubscriptBox["e", "5"], {2.480037447767518, 0.21477335747247742}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.0434706156545106`, 0.}, {2.0439800090921647`, 
          0.8583779217055565}}], InsetBox[
          SubscriptBox["e", "7"], {2.0437253123733377, 0.42918896085277825}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.9166042798805254`, 0.42954671494495483`}, {
          2.0439800090921647`, 0.8583779217055565}}], InsetBox[
          SubscriptBox["e", "4"], {2.480292144486345, 0.6439623183252556}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.8727387071156154, 0.0003209461738589159}, 
          0.029638464856408073], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9023771719720235, 0.02995941103026699}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.4295358335504994}, 0.029638464856408073], 
         InsetBox["d", 
          Offset[{2, 2}, {0.029638464856408073, 0.4591742984069075}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8731890246817808, 0.8587877412068825}, 
          0.029638464856408073], 
         InsetBox["e", 
          Offset[{2, 2}, {0.9028274895381889, 0.8884262060632906}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0434706156545106, 0.}, 0.029638464856408073], 
         InsetBox["f", 
          Offset[{2, 2}, {2.0731090805109185, 0.029638464856408073}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9166042798805254, 0.42954671494495483}, 
          0.029638464856408073], 
         InsetBox["b", 
          Offset[{2, 2}, {2.9462427447369333, 0.4591851798013629}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0439800090921647, 0.8583779217055565}, 
          0.029638464856408073], 
         InsetBox["c", 
          Offset[{2, 2}, {2.0736184739485726, 0.8880163865619646}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.812279943769394*^9, 3.8122801620951567`*^9, 
  3.8122821464918933`*^9, 3.8122836819439535`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"a67cf2b5-a973-40db-b41e-c50d101d7815"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "1", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "1", "1", "0"},
     {"1", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "1", "0", "0", "0", "1", "0", "1"},
     {"0", "0", "1", "0", "1", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.812279943769394*^9, 3.8122801620951567`*^9, 
  3.8122821464918933`*^9, 3.81228368196091*^9},
 CellLabel->
  "Out[22]//MatrixForm=",ExpressionUUID->"57db9ceb-ba3a-4126-94d3-\
e3aa2349769d"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "c"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "1", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "0", "1", "1", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "0", "0", "0", "0", "1"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "0", "0", "1", "0", "1"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "1", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]]}, {
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`c], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{3.812279943769394*^9, 3.8122801620951567`*^9, 
  3.8122821464918933`*^9, 3.8122836819649005`*^9},
 CellLabel->
  "Out[23]//TableForm=",ExpressionUUID->"2d84bccc-9262-4112-bb1d-\
01fa9d7c9aa5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "1", "1", "0", "0", "0"},
     {"1", "1", "1", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "1", "0", "1"},
     {"0", "0", "1", "0", "1", "0", "1", "0"},
     {"0", "0", "0", "1", "0", "1", "1", "0"},
     {"1", "0", "0", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.812279943769394*^9, 3.8122801620951567`*^9, 
  3.8122821464918933`*^9, 3.8122836819758697`*^9},
 CellLabel->
  "Out[24]//MatrixForm=",ExpressionUUID->"f3c0d575-aa00-4cd3-bc02-\
52a4560eaf24"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f264aaaf-2f50-461e-82e2-0dae312648c1"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"e41f86e3-2aee-41ca-80e6-dc5c59dd8a47"],
Cell[CellGroupData[{
Cell[785, 27, 1869, 53, 469, "Input",ExpressionUUID->"4a87f151-32d7-40de-8ad6-ae38acc5ce4b"],
Cell[2657, 82, 5761, 120, 323, "Output",ExpressionUUID->"a67cf2b5-a973-40db-b41e-c50d101d7815"],
Cell[8421, 204, 940, 24, 288, "Output",ExpressionUUID->"57db9ceb-ba3a-4126-94d3-e3aa2349769d"],
Cell[9364, 230, 6333, 201, 329, "Output",ExpressionUUID->"2d84bccc-9262-4112-bb1d-01fa9d7c9aa5"],
Cell[15700, 433, 943, 24, 320, "Output",ExpressionUUID->"f3c0d575-aa00-4cd3-bc02-52a4560eaf24"]
}, Open  ]]
}
]
*)

